Package org.jfree.report

# Class JFreeReportCoreModule

java.lang.Object
org.pentaho.reporting.libraries.base.boot.DefaultModuleInfo
org.pentaho.reporting.libraries.base.boot.AbstractModule
org.jfree.report.JFreeReportCoreModule

All Implemented Interfaces:
  `org.pentaho.reporting.libraries.base.boot.Module`, `org.pentaho.reporting.libraries.base.boot.ModuleInfo`

public class JFreeReportCoreModule extends org.pentaho.reporting.libraries.base.boot.AbstractModule
The CoreModule is used to represent the base classes of JFreeReport in a PackageManager-compatible way. Modules may request a certain core-version to be present by referencing to this module.

This module is used to initialize the image and drawable factories. If the Pixie library is available, support for WMF-files is added to the factories.

Author:
  Thomas Morgner

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FONTRENDERER_ISBUGGY_FRC_KEY`
The G2 fontrenderer bug override configuration key.
`static final String`
`FONTRENDERER_USEALIASING_KEY`
The text aliasing configuration key.
`static final String`
`NO_PRINTER_AVAILABLE_KEY`
The 'no-printer-available' property key.
`static final String`
`STRICT_ERROR_HANDLING_KEY`
A configuration key that defines, whether errors will abort the report processing.

## Constructor Summary

Constructors
Constructor
Description
`JFreeReportCoreModule()`
Creates a new module definition based on the 'coremodule.properties' file of this package.

## Method Summary

Modifier and Type
Method
Description
`void`
`initialize(org.pentaho.reporting.libraries.base.boot.SubSystem subSystem)`
Initializes the module.

### Methods inherited from class org.pentaho.reporting.libraries.base.boot.AbstractModule

`configure, getDescription, getName, getOptionalModules, getProducer, getRequiredModules, getSubSystem, isClassLoadable, loadModuleInfo, loadModuleInfo, performExternalInitialize, performExternalInitialize, setDescription, setName, setOptionalModules, setProducer, setRequiredModules, setSubSystem, toString`

### Methods inherited from class org.pentaho.reporting.libraries.base.boot.DefaultModuleInfo

`equals, getMajorVersion, getMinorVersion, getModuleClass, getPatchLevel, hashCode, setMajorVersion, setMinorVersion, setModuleClass, setPatchLevel`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.pentaho.reporting.libraries.base.boot.ModuleInfo

`getMajorVersion, getMinorVersion, getModuleClass, getPatchLevel`

## Field Details

### NO_PRINTER_AVAILABLE_KEY

public static final String NO_PRINTER_AVAILABLE_KEY
The 'no-printer-available' property key.

See Also:
  - Constant Field Values

### FONTRENDERER_ISBUGGY_FRC_KEY

public static final String FONTRENDERER_ISBUGGY_FRC_KEY
The G2 fontrenderer bug override configuration key.

See Also:
  - Constant Field Values

### FONTRENDERER_USEALIASING_KEY

public static final String FONTRENDERER_USEALIASING_KEY
The text aliasing configuration key.

See Also:
  - Constant Field Values

### STRICT_ERROR_HANDLING_KEY

public static final String STRICT_ERROR_HANDLING_KEY
A configuration key that defines, whether errors will abort the report processing. This defaults to true.

See Also:
  - Constant Field Values

## Constructor Details

### JFreeReportCoreModule

public JFreeReportCoreModule() throws org.pentaho.reporting.libraries.base.boot.ModuleInitializeException
Creates a new module definition based on the 'coremodule.properties' file of this package.

Throws:
  `org.pentaho.reporting.libraries.base.boot.ModuleInitializeException` - if the file could not be loaded.

## Method Details

### initialize

public void initialize(org.pentaho.reporting.libraries.base.boot.SubSystem subSystem) throws org.pentaho.reporting.libraries.base.boot.ModuleInitializeException
Initializes the module. Use this method to perform all initial setup operations. This method is called only once in a modules lifetime. If the initializing cannot be completed, throw a ModuleInitializeException to indicate the error,. The module will not be available to the system.

Parameters:
  `subSystem` - the subSystem.
Throws:
  `org.pentaho.reporting.libraries.base.boot.ModuleInitializeException` - if an error ocurred while initializing the module.